declare module 'htmlservercreator' {
    import { EventEmitter } from 'events'

    export class server extends EventEmitter {
        constructor(expressApp?: ExpressApplication, options?: ServerOptions);
        private port: number;
        private app: Function;
        private emitrequestwhen404: boolean;
        public listen(defaultPort?: boolean, port?: number): Promise<Port>;
        public html(route?: string, HtmlFileRoute?: string): void;
        public notfound(HtmlFileRoute?: string): void;
    }

    type ServerOptions = {
        port?: number,
        app?: Function,
        emitrequestwhen404?: boolean
    };

    type Port = Number;

    type ExpressApplication = Function;
}

